Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms
Class TibjmsXAConnectionFactory

    java.lang.Object
      TibjmsxCFImpl
          com.tibco.tibjms.TibjmsXAConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, XAConnectionFactory, javax.naming.Referenceable

Direct Known Subclasses:
  TibjmsXAQueueConnectionFactory, TibjmsXATopicConnectionFactory

    public class TibjmsXAConnectionFactory

extends TibjmsxCFImpl
implements XAConnectionFactory, java.lang.Cloneable, java.io.Serializable, javax.naming.Referenceable

Note: XA sessions do not support routed queues.

Constructor Summary
`TibjmsXAConnectionFactory()`
`TibjmsXAConnectionFactory(java.lang.String serverUrl)`
`TibjmsXAConnectionFactory(java.lang.String serverUrl, java.lang.String clientId)`
`TibjmsXAConnectionFactory(java.lang.String serverUrl, java.lang.String clientId, java.util.Map properties)`

Method Summary
`java.lang.Object` | `clone()`
`Connection` | `createConnection()`
`Connection` | `createConnection(java.lang.String userName, java.lang.String password)`
`XAConnection` | `createXAConnection()` Creates an `XAConnection` with the default user identity.
`XAConnection` | `createXAConnection(java.lang.String userName, java.lang.String password)` Creates an XA connection with the specified user identity.
`java.lang.String` | `getSSLProxyHost()` Get the SSL proxy host from this connection factory.
`java.lang.String` | `getSSLProxyPassword()` Get the SSL proxy password from a connection factory.
`int` | `getSSLProxyPort()` Get the SSL proxy port from this connection factory.
`java.lang.String` | `getSSLProxyUser()` Get the SSL proxy username from a connection factory.
`void` | `setClientID(java.lang.String clientID)`
`void` | `setConnAttemptCount(int attempts)`
`void` | `setConnAttemptDelay(int delay)`
`void` | `setConnAttemptTimeout(int connectAttemptTimeout)`
`void` | `setMetric(int metric)`
`void` | `setMulticastDaemon(java.lang.String port)` Set the port on which the EMS client will connect to the multicast daemon.
`void` | `setMulticastEnabled(boolean enabled)` Set whether MessageConsumers subscribed to a multicast-enabled topic will receive message over multicast.
`void` | `setReconnAttemptCount(int attempts)`
`void` | `setReconnAttemptDelay(int delay)`
`void` | `setReconnAttemptTimeout(int reconnectAttemptTimeout)`
`void` | `setServerUrl(java.lang.String serverUrl)`
`void` | `setSSLAuthOnly(java.lang.Boolean authOnly)`
`void` | `setSSLCipherSuites(java.lang.String suites)`
`void` | `setSSLDebugTrace(java.lang.Boolean debugTrace)`
`void` | `setSSLEnableVerifyHost(java.lang.Boolean enableVerifyHost)`
`void` | `setSSLEnableVerifyHostName(java.lang.Boolean enableVerifyHostName)`
`void` | `setSSLExpectedHostName(java.lang.String expectedHostName)`
`void` | `setSSLIdentity(byte[] identity)`
`void` | `setSSLIdentity(java.lang.String sslIdentity)`
`void` | `setSSLIdentityEncoding(java.lang.String sslIdentityEncoding)`
`void` | `setSSLIssuerCertificate(byte[] certificate, java.lang.String encoding)`
`void` | `setSSLIssuerCertificate(java.lang.String certificate)`
`void` | `setSSLIssuerCertificate(java.lang.String certificate, java.lang.String encoding)`
`void` | `setSSLPassword(java.lang.String sslPassword)`
`void` | `setSSLPrivateKey(byte[] sslPrivateKey)`
`void` | `setSSLPrivateKey(java.lang.String sslPrivateKey)`
`void` | `setSSLPrivateKeyEncoding(java.lang.String sslPrivateKeyEncoding)`
`void` | `setSSLProxy(java.lang.String host, int port)` Set the connection factory's parameters for connecting through an SSL proxy.
`void` | `setSSLProxyAuth(java.lang.String username, java.lang.String password)` Set a connection factory's username and password for connecting through an SSL proxy.
`void` | `setSSLTrace(java.lang.Boolean trace)`
`void` | `setSSLTrustedCertificate(byte[] certificate, java.lang.String trustedEncoding)`
`void` | `setSSLTrustedCertificate(java.lang.String certificate)`
`void` | `setSSLTrustedCertificate(java.lang.String certificate, java.lang.String trustedEncoding)`
`void` | `setSSLVendor(java.lang.String vendor)`
`void` | `setUserName(java.lang.String username)`
`void` | `setUserPassword(java.lang.String password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### TibjmsXAConnectionFactory

    public TibjmsXAConnectionFactory()

### TibjmsXAConnectionFactory

    public TibjmsXAConnectionFactory(java.lang.String serverUrl)

### TibjmsXAConnectionFactory

    public TibjmsXAConnectionFactory(java.lang.String serverUrl,
                                     java.lang.String clientId)

### TibjmsXAConnectionFactory

    public TibjmsXAConnectionFactory(java.lang.String serverUrl,
                                     java.lang.String clientId,
                                     java.util.Map properties)

Method Detail

### createXAConnection

    public XAConnection createXAConnection()
                                    throws JMSException

  Description copied from interface: `XAConnectionFactory`
  Creates an `XAConnection` with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Returns:
    a newly created `XAConnection`
  Throws:
    `JMSException` - if the JMS provider fails to create an XA connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createXAConnection

    public XAConnection createXAConnection(java.lang.String userName,
                                           java.lang.String password)
                                    throws JMSException

  Description copied from interface: `XAConnectionFactory`
  Creates an XA connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created XA connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createConnection

    public Connection createConnection()
                                throws JMSException

  Throws:
    `JMSException`

### createConnection

    public Connection createConnection(java.lang.String userName,
                                       java.lang.String password)
                                throws JMSException

  Throws:
    `JMSException`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### setServerUrl

    public void setServerUrl(java.lang.String serverUrl)
                      throws JMSException

  Throws:
    `JMSException`

### setClientID

    public void setClientID(java.lang.String clientID)
                     throws JMSException

  Throws:
    `JMSException`

### setMetric

    public void setMetric(int metric)
                   throws JMSException

  Throws:
    `JMSException`

### setConnAttemptCount

    public void setConnAttemptCount(int attempts)

### setConnAttemptDelay

    public void setConnAttemptDelay(int delay)

### setConnAttemptTimeout

    public void setConnAttemptTimeout(int connectAttemptTimeout)

### setReconnAttemptCount

    public void setReconnAttemptCount(int attempts)

### setReconnAttemptDelay

    public void setReconnAttemptDelay(int delay)

### setReconnAttemptTimeout

    public void setReconnAttemptTimeout(int reconnectAttemptTimeout)

### setUserName

    public void setUserName(java.lang.String username)

### setUserPassword

    public void setUserPassword(java.lang.String password)

### setSSLVendor

    public void setSSLVendor(java.lang.String vendor)

### setSSLTrace

    public void setSSLTrace(java.lang.Boolean trace)

### setSSLDebugTrace

    public void setSSLDebugTrace(java.lang.Boolean debugTrace)

### setSSLEnableVerifyHost

    public void setSSLEnableVerifyHost(java.lang.Boolean enableVerifyHost)

### setSSLEnableVerifyHostName

    public void setSSLEnableVerifyHostName(java.lang.Boolean enableVerifyHostName)

### setSSLExpectedHostName

    public void setSSLExpectedHostName(java.lang.String expectedHostName)

### setSSLAuthOnly

    public void setSSLAuthOnly(java.lang.Boolean authOnly)

### setSSLTrustedCertificate

    public void setSSLTrustedCertificate(java.lang.String certificate)

### setSSLTrustedCertificate

    public void setSSLTrustedCertificate(java.lang.String certificate,
                                         java.lang.String trustedEncoding)

### setSSLTrustedCertificate

    public void setSSLTrustedCertificate(byte[] certificate,
                                         java.lang.String trustedEncoding)

### setSSLIssuerCertificate

    public void setSSLIssuerCertificate(java.lang.String certificate)

### setSSLIssuerCertificate

    public void setSSLIssuerCertificate(java.lang.String certificate,
                                        java.lang.String encoding)

### setSSLIssuerCertificate

    public void setSSLIssuerCertificate(byte[] certificate,
                                        java.lang.String encoding)

### setSSLIdentity

    public void setSSLIdentity(java.lang.String sslIdentity)

### setSSLIdentity

    public void setSSLIdentity(byte[] identity)

### setSSLIdentityEncoding

    public void setSSLIdentityEncoding(java.lang.String sslIdentityEncoding)

### setSSLPrivateKey

    public void setSSLPrivateKey(java.lang.String sslPrivateKey)

### setSSLPrivateKey

    public void setSSLPrivateKey(byte[] sslPrivateKey)

### setSSLPrivateKeyEncoding

    public void setSSLPrivateKeyEncoding(java.lang.String sslPrivateKeyEncoding)

### setSSLPassword

    public void setSSLPassword(java.lang.String sslPassword)

### setSSLCipherSuites

    public void setSSLCipherSuites(java.lang.String suites)

### setSSLProxy

    public void setSSLProxy(java.lang.String host,
                            int port)
                     throws JMSException

  Set the connection factory's parameters for connecting through an SSL proxy. An SSL proxy lets an EMS application create an SSL connection to an EMS server, even though a firewall separates the application from the server. The proxy usually runs within the firewall's DMZ. A connection factory contacts the SSL proxy, requesting an SSL connection to the server. The proxy authenticates the application program, and mediates the initial SSL negotiation between application and server. After the SSL connection is established, the application and server use it to communicate directly with one another.

  Parameters:
    `host` - the connection factory establishes SSL communication through a web proxy at this host. Supply a simple hostname, a fully qualified hostname with domain name, or an IP address (dot notation).
    `port` - the connection factory establishes SSL communication through a web proxy on this port.
  Throws:
    `JMSException` - if the proxy host is null or empty, the port is zero or the protocol of the connection factory's URL is not SSL.

### setSSLProxyAuth

    public void setSSLProxyAuth(java.lang.String username,
                                java.lang.String password)
                         throws JMSException

  Set a connection factory's username and password for connecting through an SSL proxy. When a connection factory establishes an EMS server connection through an SSL proxy host, the proxy might first require authentication before facilitating a connection. When required, use this call to set that authentication data on the connection factory. Notice that this proxy authentication data is distinct from the server authentication data, and from the SSL private key encryption password.

  Parameters:
    `username` - the connection factory authenticates itself to the SSL proxy using this username.
    `password` - the connection factory authenticates itself to the SSL proxy using this password.
  Throws:
    `JMSException` - if the protocol of the connection factory's URL is not SSL.

### getSSLProxyHost

    public java.lang.String getSSLProxyHost()
                                     throws JMSException

  Get the SSL proxy host from this connection factory.

  Returns:
    the host
  Throws:
    `JMSException` - if the protocol of the connection factory's URL is not SSL.

### getSSLProxyPort

    public int getSSLProxyPort()
                        throws JMSException

  Get the SSL proxy port from this connection factory.

  Returns:
    the port.
  Throws:
    `JMSException` - if the protocol of the connection factory's URL is not SSL.

### getSSLProxyUser

    public java.lang.String getSSLProxyUser()
                                     throws JMSException

  Get the SSL proxy username from a connection factory.

  Returns:
    the username.
  Throws:
    `JMSException` - if the protocol of the connection factory's URL is not SSL.

### getSSLProxyPassword

    public java.lang.String getSSLProxyPassword()
                                         throws JMSException

  Get the SSL proxy password from a connection factory.

  Returns:
    the password.
  Throws:
    `JMSException` - if the protocol of the connection factory's URL is not SSL.

### setMulticastEnabled

    public void setMulticastEnabled(boolean enabled)

  Set whether MessageConsumers subscribed to a multicast-enabled topic will receive message over multicast.
  When enabled, MessageConsumers subscribed to a multicast-enabled topic will receive messages over multicast.
  The default is enabled.

  Parameters:
    `enabled` - `true` to enable multicast, `false` to disable multicast
  Since:
    EMS 5.0

### setMulticastDaemon

    public void setMulticastDaemon(java.lang.String port)

  Set the port on which the EMS client will connect to the multicast daemon.
  A connection to the multicast daemon is required when multicast is enabled and a MessageConsumer is subscribed to a multicast-enabled topic.
  NOTE: setting the port with this method will overrided the default port supplied by the server.

  Parameters:
    `port` - the port of the multicast daemon
  Since:
    EMS 5.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved